import * as esbuild from 'esbuild';
import { NovadiUnplugin } from '@novadi/core/unplugin';

await esbuild.build({
  entryPoints: ['wwwroot/ts/app.ts'],
  bundle: true,
  format: 'esm',
  outfile: 'wwwroot/js/app.js',
  sourcemap: 'inline',
  target: 'es2020',
  keepNames: true,
  platform: 'browser',
  plugins: [NovadiUnplugin.esbuild()]
});
